# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.projecthosting
Enum State.Value

    java.lang.Object
      java.lang.Enum<State.Value>
          com.google.gdata.data.projecthosting.State.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<State.Value>

Enclosing class:
  State

    public static enum State.Value

extends java.lang.Enum<State.Value>

Value.

Enum Constant Summary
`CLOSED` Closed state.
`OPEN` Open state.

Method Summary
`static State.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static State.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLOSED

    public static final State.Value CLOSED

  Closed state.

### OPEN

    public static final State.Value OPEN

  Open state.

Method Detail

### values

    public static State.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (State.Value c : State.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static State.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null